The Alternative Csound Reference Manual
Previous |  | Next

# clear

clear -- Zeroes a list of audio signals.

## Description

clear zeroes a list of audio signals.

## Syntax

clear avar1 [, avar2] [, avar3] [...]

## Performance

avar1, avar2, avar3, ... -- signals to be zeroed

vincr (variable increment) and clear are intended to be used together. vincr stores the result of the sum of two audio variables into the first variable itself (which is intended to be used as an accumulator in polyphony). The accumulator variable can be used for output signal by means of fout opcode. After the disk writing operation, the accumulator variable should be set to zero by means of clear opcode (or it will explode).

## Examples

See the fout opcode for an example.

## See Also

vincr

## Credits

Author: Gabriel Maldonado
Italy
1999

New in Csound version 3.56

Previous | Home | Next
ckgoto | Up | clfilt